Subject: [ipcdn] RE: Comment on new Cable Device Mib draft

From: "Woundy, Richard" <[email-masked]>
Date: Tue, 3 Dec 2002 12:03:39 -0700

Andre,

I must have missed the original comment from Wim. Sorry.

Your proposed modifications to the Cable Device MIB seems reasonably OK to
me, with slight wording corrections. In particular, you cannot say "This
table entry does not match if [this object] is set and the packet is not tcp
or udp", because the DEFVAL clauses ensure that these columns are always
"set". If you want to ignore all non-TCP/UDP packets in this row of the IP
filter table, then I think you need to set docsDevFilterIpProtocol to the
appropriate value.

docsDevFilterIpSourcePortLow OBJECT-TYPE
           SYNTAX      Integer32 (0..65535)
           MAX-ACCESS  read-create
           STATUS      current
           DESCRIPTION
               "This is the inclusive lower bound of the transport-layer
                source port range that is to be matched. If the IP
                protocol of the packet is neither UDP nor TCP, this
                object is ignored during matching."
           DEFVAL { 0 }
           ::= { docsDevFilterIpEntry 12 }

What do other folks think? Did I capture the new wording correctly?

-- Rich

-----Original Message-----
From: Lejeune, Andre [mailto:[email-masked]]
Sent: Tuesday, December 03, 2002 9:49 AM
To: Woundy, Richard; [email-masked]
Cc: Raftus, David
Subject: Comment on new Cable Device Mib draft

Hi Rich,

The following comment (see attached email) was posted on the ipcdn reflector
a year ago. Would it be possible to include a change in the new draft to
address this? I would like to propose that the MIBs be changed to no longer
be dependant on the value of docsDevFilterIpProtocol. Since there was an ECR
that explained that the fields are only applicable if relevant, all 4 port
related MIBs could be made to match only relevant packets (udp and tcp),
irrespective of the docsDevFilterIpProtocol value.

This would therefore read something like:

docsDevFilterIpSourcePortLow OBJECT-TYPE
           SYNTAX      Integer32 (0..65535)
           MAX-ACCESS  read-create
           STATUS      current
           DESCRIPTION
               "If the protocol of the packet is udp or tcp, this is the
                inclusive lower bound of the transport-layer source port
                range that is to be matched. This table entry does not
                match if it is set and the packet is not tcp or udp."
           DEFVAL { 0 }
           ::= { docsDevFilterIpEntry 12 }
I am flexible on the actual wording...

Thanks,

André

From: Wim De Ketelaere [mailto:[email-masked]]
Sent: Thursday, September 06, 2001 1:39 PM
To: [email-masked]
Subject: [ipcdn] docsDevFilterIp requirements
 
Hi all,
 
In 
draft-ietf-ipcdn-device-mibv2-01.txt              
 
I think the definition for docsDevFilterIpSourcePort and equivalent MIBs
should be clarified that
in the case that docsDevFilterIpProtocol is set to "all", the port numbers
need to be checked for 
matching if the traffic is udp or tcp as udp and tcp are included in "all",
this is not clear from the current definitions. Cable operators typically
want to block all TCP/UDP ports below a certain port-number, they will use
any protocol, and put one port-range in. 
 
docsDevFilterIpSourcePortLow OBJECT-TYPE
           SYNTAX      Integer32 (0..65535)
           MAX-ACCESS  read-create
           STATUS      current
           DESCRIPTION
               "If docsDevFilterIpProtocol is udp or tcp, this is the
                inclusive lower bound of the transport-layer source port
                range that is to be matched, otherwise it is ignored
                during matching."
           DEFVAL { 0 }
           ::= { docsDevFilterIpEntry 12 }
 
Any comments ?
 
Thanks,
  Best regards,
    Wim
               
Wim De Ketelaere
CTO 
tComLabs

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn